package com.loganmagnan.pluginbase.commands;

import com.loganmagnan.pluginbase.PluginBase;
import com.loganmagnan.pluginbase.utils.ColorUtils;
import com.loganmagnan.pluginbase.utils.CustomLocation;
import com.loganmagnan.pluginbase.utils.command.BaseCommand;
import com.loganmagnan.pluginbase.utils.command.Command;
import com.loganmagnan.pluginbase.utils.command.CommandArguments;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.entity.Player;

public class ExampleCommand extends BaseCommand {

    private PluginBase main = PluginBase.getInstance();

    @Command(name = "example", permission = "permission.example")
    @Override

    public void executeAs(CommandArguments command) {
        Player player = command.getPlayer();

        String[] args = command.getArgs();

        if (args.length == 0) {
            player.sendMessage(ColorUtils.getMessageType("&aThis is an example command."));
        }
    }
}